Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class ClosureStaticMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.metaclass.ClosureStaticMetaMethod

All Implemented Interfaces:
  ClosureInvokingMethod

    class ClosureStaticMetaMethod
    extends MetaMethod

This class represents a MetaMethod that is a closure that pretends to be a static method. It is used by ExpandoMetaClass to allow addition of static methods defined as closures

author:
  Graeme Rocher

since:
  01.1

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`ClosureStaticMetaMethod(String name, Class declaringClass, Closure c)`
`ClosureStaticMetaMethod(String name, Class declaringClass, Closure c, Class[] paramTypes)`

Method Summary
`Closure` | `getClosure()` Retrieves the closure that is invoked by this MetaMethod
`CachedClass` | `getDeclaringClass()`
`int` | `getModifiers()`
`String` | `getName()`
`Class` | `getReturnType()`
`Object` | `invoke(Object object, Object[] arguments)`

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ClosureStaticMetaMethod

    public ClosureStaticMetaMethod(String name, Class declaringClass, Closure c)

  param:
    name The name of the MetaMethod
  param:
    declaringClass The class which declared the MetaMethod
  param:
    c The closure that this ClosureMetaMethod will invoke when called

### ClosureStaticMetaMethod

    public ClosureStaticMetaMethod(String name, Class declaringClass, Closure c, Class[] paramTypes)

Method Detail

### getClosure

    public Closure getClosure()

  Retrieves the closure that is invoked by this MetaMethod
  return:
    The closure

### getDeclaringClass

    public CachedClass getDeclaringClass()

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getReturnType

    public Class getReturnType()

### invoke

    public Object invoke(Object object, Object[] arguments)

Copyright © 2003-2009 The Codehaus. All rights reserved.